#include <iostream>
#include <math.h> 
using namespace std;
int brojcifara(long long x)
{
  int s=0;
  while(x>0)
  {
    x=x/10;
    s=s+1;
 
  }
 
 return s;
}


int main()
{
  long long  V;
  int privremeni_broj,m=0,k;//m-broj novcanica
  cin>>V;
 
while(V>0)
{
  k=brojcifara(V)-1;
 
  if(2*pow(10,k)>V)
  {
   privremeni_broj=1;
  }
 else if(5*pow(10,k)>V)
 {
   privremeni_broj=2;
 }
else
{
   privremeni_broj=5;
}

V=V-(privremeni_broj*(pow(10,k)));
m=m+1;

}
cout<<m<<endl;

    return 0;
}